# Class DeviceInfo#getProxyInfo

DeviceInfo

- Defined in: deviceInfo.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DeviceInfo#getProxyInfo(successCallback, errorCallback) Gets Proxy Info

## Class Detail

DeviceInfo#getProxyInfo(successCallback, errorCallback)
Gets Proxy Info

    // Javascript code
    function getProxyInfo () {
     function successCb(cbObject) {
        console.log("cbObject : " + JSON.stringify(cbObject));
        console.log("enabled : " + cbObject.enabled);
        console.log("ipAddress : " + cbObject.ipAddress);
        console.log("port : " + cbObject.port);
     }
     function failureCb(cbObject) {
        var errorCode = cbObject.errorCode;
        var errorText = cbObject.errorText;
        console.log ("Error Code [" + errorCode + "]: " + errorText);
     }
     var deviceinfo = new DeviceInfo();
     deviceinfo.getProxyInfo(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object} options

  Property | Type | Description
  --- | --- | ---
  enabled | Boolean | proxy is enabled true : enabled, false : disabled
  ipAddress | String | proxy server ip (when 'enabled' is true, it is required)
  port | Number | proxy server port (0 ~ 65535) (when 'enabled' is true, it is required)

See:
  DeviceInfo.setProxyInfo()